All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreTypeInfoHelper Class Reference

helper type to allocate and manage QoreTypeInfo objects (not exported by the library) More...

`#include <QoreType.h>`

Inheritance diagram for QoreTypeInfoHelper:
[legend]

## Public Member Functions

DLLEXPORT | QoreTypeInfoHelper (const char *n_tname)
| allocates a QoreTypeInfo object with no type information
DLLEXPORT | QoreTypeInfoHelper (qore_type_t id, const char *n_tname)
| allocates a QoreTypeInfo object of the requested type
virtual DLLEXPORT | ~QoreTypeInfoHelper ()
| deallocates the managed QoreTypeInfo object
DLLEXPORT void | addAcceptsType (const QoreTypeInfo *n_typeInfo)
| add another type that the type accepts
DLLEXPORT void | assign (qore_type_t id)
| assigns the typeid to the object
DLLEXPORT const QoreTypeInfo * | getTypeInfo () const
| returns a pointer to the object
DLLEXPORT void | setInexactReturn ()
| set a flag that means that if the return type is matched on input, it matches with QTI_AMBIGUOUS instead of QTI_IDENT
DLLEXPORT void | setInputFilter ()
| set a flag that means that acceptInputImpl() has been reimplemented and should be used
DLLEXPORT void | setInt ()
| set a flag that means the type is equivalent to an integer
DLLEXPORT void | setIntMatch ()
| set a flag so that any NT_INT in an accept list will match any type with is_int set with QTI_AMBIGUOUS

## Protected Member Functions

virtual DLLEXPORT bool | acceptInputImpl (QoreValue &n, ExceptionSink *xsink) const
| this function must be reimplemented if setInputFilter() is called

## Detailed Description

helper type to allocate and manage QoreTypeInfo objects (not exported by the library)

should be used to allocate and deallocate QoreTypeInfo objects for new types created in modules

The documentation for this class was generated from the following file:

- include/qore/QoreType.h (6de6cc3b438610bf03b2bec44a3d7c61f90e3165)